--- old/usr/src/uts/sun/io/scsi/adapters/fas.c	2015-08-19 07:25:27.340469691 -0400
+++ new/usr/src/uts/sun/io/scsi/adapters/fas.c	2015-08-19 07:25:27.346538917 -0400
@@ -994,8 +994,7 @@
 			fas_log(fas, CE_NOTE, "?scsi-watchdog-tick=%d\n",
 			    fas_scsi_watchdog_tick);
 		}
-		fas_tick = drv_usectohz((clock_t)
-		    fas_scsi_watchdog_tick * 1000000);
+		fas_tick = drv_sectohz((clock_t)fas_scsi_watchdog_tick);
 		IPRINTF2("fas scsi watchdog tick=%x, fas_tick=%lx\n",
 		    fas_scsi_watchdog_tick, fas_tick);
 		if (fas_timeout_id == 0) {
@@ -1365,7 +1364,7 @@
 	if (fas_check_outstanding(fas)) {
 		fas->f_softstate |= FAS_SS_DRAINING;
 		fas->f_quiesce_timeid = timeout(fas_ncmds_checkdrain,
-		    fas, (FAS_QUIESCE_TIMEOUT * drv_usectohz(1000000)));
+		    fas, drv_sectohz(FAS_QUIESCE_TIMEOUT));
 		if (cv_wait_sig(FAS_CV(fas), FAS_MUTEX(fas)) == 0) {
 			/*
 			 * quiesce has been interrupted.
@@ -1436,7 +1435,7 @@
 			fas_set_throttles(fas, 0, N_SLOTS, HOLD_THROTTLE);
 			IPRINTF("fas_drain: rescheduling timeout\n");
 			fas->f_quiesce_timeid = timeout(fas_ncmds_checkdrain,
-			    fas, (FAS_QUIESCE_TIMEOUT * drv_usectohz(1000000)));
+			    fas, drv_sectohz(FAS_QUIESCE_TIMEOUT));
 		}
 	}
 	mutex_exit(FAS_MUTEX(fas));
